> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addSupplementalPayPeriodWithLineItems

> The `addSupplementalPayPeriodWithLineItems ` API is used to fully import a supplemental payPeriod to the rollfi system

### Notes:
- This API is used when all the data for a supplemental payPeriod, including individual pay items, is readily available
- If you do not have access to the lineItem data at the time of import use `addSupplementalPayPeriod` and `addSupplementalPayrollLineItem` to achieve the same results



## OpenAPI

````yaml post /payroll/addSupplementalPayPeriodWithLineItems
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/addSupplementalPayPeriodWithLineItems:
    post:
      tags: []
      summary: addSupplementalPayPeriodWithLineItems
      description: >-
        The `addSupplementalPayPeriodWithLineItems ` API is used to fully import
        a supplemental payPeriod to the rollfi system


        ### Notes:

        - This API is used when all the data for a supplemental payPeriod,
        including individual pay items, is readily available

        - If you do not have access to the lineItem data at the time of import
        use `addSupplementalPayPeriod` and `addSupplementalPayrollLineItem` to
        achieve the same results
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                payPeriod:
                  type: object
                  properties:
                    companyId:
                      type: string
                      format: uuid
                    payPeriodType:
                      type: string
                      enum:
                        - Missing
                        - Severance
                        - Off-Cycle
                    workerType:
                      type: string
                      enum:
                        - W2
                        - 1099-NEC
                    payBeginDate:
                      type: string
                      maxLength: 10
                    payEndDate:
                      type: string
                      maxLength: 10
                    payDate:
                      type: string
                      maxLength: 10
                    payrollLineItem:
                      type: array
                      items:
                        type: object
                        properties:
                          userId:
                            type: string
                            format: uuid
                          amount:
                            type: number
                          paymentMethod:
                            type: string
                        required:
                          - userId
                          - amount
                  required:
                    - companyId
                    - payPeriodType
                    - workerType
                    - payBeginDate
                    - payEndDate
                    - payDate
                    - payrollLineItem
              required:
                - method
                - payPeriod
            example:
              method: addSupplementalPayPeriodWithLineItems
              payPeriod:
                companyId: C8D57032-BF6F-4510-AA41-08A358365531
                payPeriodType: Off-Cycle
                workerType: W2
                payBeginDate: '2024-01-15'
                payEndDate: '2024-01-15'
                payDate: '2025-10-15'
                payrollLineItem:
                  - userId: 123DA511-5970-4C2F-AF7E-5C0FB11D23A3
                    amount: 500
                    paymentMethod: Direct Deposit
                  - userId: 3D971CE4-3DA9-4031-AB0E-D0E1A364444B
                    amount: 300
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payPeriod:
                    type: object
                    properties:
                      payPeriodId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - payPeriodId
                      - status
                      - message
                required:
                  - payPeriod
              examples:
                '1':
                  summary: Success
                  value:
                    payPeriod:
                      payPeriodId: 80B0DE7E-BB68-4EDE-B418-36FC21B90914
                      status: Ready
                      message: >-
                        Supplemental PayPeriod for Payroll MonthlyBiweekly has
                        been saved successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: WorkerType is invalid
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: WorkerType is invalid
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````